"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Offline;

var _react = _interopRequireDefault(require("react"));

var _styles = require("@material-ui/core/styles");

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _propTypes = _interopRequireDefault(require("prop-types"));

var styles = function styles(theme) {
  return {
    root: {
      display: 'flex',
      flexDirection: 'column',
      width: '100%',
      alignItems: 'center',
      marginTop: '40px',
      color: '#999'
    },
    icon: {
      fontSize: 60,
      color: '#999'
    },
    heading: {},
    message: {}
  };
};

var useStyles = (0, _styles.makeStyles)(styles, {
  name: 'RSFOffline'
});
/**
 * A page to display when in Offline mode
 */

function Offline(_ref) {
  var classes = _ref.classes,
      heading = _ref.heading,
      message = _ref.message,
      Icon = _ref.Icon;
  classes = useStyles({
    classes: classes
  });
  return _react["default"].createElement("div", {
    className: classes.root
  }, _react["default"].createElement(Icon, {
    className: classes.icon
  }), _react["default"].createElement(_core.Typography, {
    variant: "h6",
    component: "h1",
    className: classes.heading
  }, heading), _react["default"].createElement(_core.Typography, {
    variant: "caption",
    className: classes.message
  }, message));
}

Offline.propTypes = {
  /**
   * Text or an element to display as the heading.
   */
  heading: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].element]),

  /**
   * Text or an element to deplay as the message.
   */
  message: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].element]),

  /**
   * An icon to display.
   */
  Icon: _propTypes["default"].func
};
Offline.defaultProps = {
  heading: "You're offline",
  message: 'Please check your internet connection',
  Icon: function Icon() {
    return _react["default"].createElement(_icons.CloudOff, null);
  }
};
//# sourceMappingURL=Offline.js.map