"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = CarouselArrows;
exports.styles = void 0;

var _react = _interopRequireWildcard(require("react"));

var _clsx = _interopRequireDefault(require("clsx"));

var _makeStyles = _interopRequireDefault(require("@material-ui/core/styles/makeStyles"));

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var styles = function styles(theme) {
  return {
    arrow: {
      position: 'absolute',
      top: '50%',
      marginTop: '-24px'
    },
    leftArrow: {
      left: 0
    },
    rightArrow: {
      right: 0
    }
  };
};

exports.styles = styles;
var useStyles = (0, _makeStyles["default"])(styles, {
  name: 'RSFCarouselArrows'
});

function CarouselArrows(_ref) {
  var className = _ref.className,
      classes = _ref.classes,
      selected = _ref.selected,
      count = _ref.count,
      setSelected = _ref.setSelected,
      show = _ref.show;
  classes = useStyles({
    classes: classes
  });
  var createOnClickArrow = (0, _react.useCallback)(function (idxChange) {
    return function (evt) {
      evt.preventDefault();
      setSelected(selected + idxChange);
    };
  }, [selected, setSelected]);
  return _react["default"].createElement("div", {
    className: (0, _clsx["default"])(classes.arrows, className)
  }, selected !== 0 && _react["default"].createElement(_core.IconButton, {
    className: (0, _clsx["default"])(classes.arrow, classes.leftArrow),
    onClick: createOnClickArrow(-1)
  }, _react["default"].createElement(_icons.ChevronLeft, {
    classes: {
      root: classes.icon
    }
  })), selected !== count - 1 && _react["default"].createElement(_core.IconButton, {
    className: (0, _clsx["default"])(classes.arrow, classes.rightArrow),
    onClick: createOnClickArrow(1)
  }, _react["default"].createElement(_icons.ChevronRight, {
    classes: {
      root: classes.icon
    }
  })));
}

CarouselArrows.propTypes = {};
CarouselArrows.defaultProps = {};
//# sourceMappingURL=CarouselArrows.js.map