"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.styles = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx = _interopRequireDefault(require("clsx"));

var _Tabs = _interopRequireDefault(require("@material-ui/core/Tabs"));

var _Tab = _interopRequireDefault(require("@material-ui/core/Tab"));

var _styles = require("@material-ui/core/styles");

var _Image = _interopRequireDefault(require("../Image"));

var styles = function styles(theme) {
  return {
    thumb: {
      width: 50,
      height: 50,
      boxSizing: 'content-box'
    },
    thumbs: {
      display: 'flex',
      justifyContent: 'center'
    },
    hidden: {
      display: 'none'
    },
    tabsIndicator: {
      display: 'none',
      backgroundColor: theme.palette.primary.main,
      height: '3px',
      transition: 'left 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms'
    },
    tabsRoot: {
      marginTop: theme.margins.container
    },
    noSelection: {
      visibility: 'hidden'
    },
    tabRoot: {
      minWidth: 'auto',
      padding: 0,
      outline: 'none',
      opacity: 0.7,
      transition: 'opacity linear 100ms',
      '&:hover': {
        opacity: 0.9
      }
    },
    selectedTab: {
      opacity: 1
    },
    tabWrapper: {
      margin: '0 2px',
      border: '1px solid transparent',
      '$selectedTab &': {
        border: "1px solid rgba(0,0,0,0.3)"
      }
    }
  };
};

exports.styles = styles;
var useStyles = (0, _styles.makeStyles)(styles, {
  name: 'RSFCarouselThumbnails'
});

function CarouselThumbnails(props) {
  var thumbnails = props.thumbnails,
      selected = props.selected,
      setSelected = props.setSelected,
      classes = props.classes,
      className = props.className;
  var styles = useStyles({
    classes: classes
  });
  return _react["default"].createElement("div", {
    className: (0, _clsx["default"])(className, styles.thumbs)
  }, _react["default"].createElement(_Tabs["default"], {
    value: selected,
    variant: "scrollable",
    onChange: function onChange(_, index) {
      return setSelected(index);
    },
    classes: {
      root: styles.tabsRoot,
      indicator: styles.tabsIndicator
    }
  }, thumbnails.map(function (_ref, i) {
    var src = _ref.src,
        alt = _ref.alt;

    var icon = _react["default"].createElement(_Image["default"], {
      contain: true,
      className: styles.thumb,
      src: src,
      alt: alt
    });

    return _react["default"].createElement(_Tab["default"], {
      classes: {
        root: styles.tabRoot,
        wrapper: styles.tabWrapper,
        selected: styles.selectedTab
      },
      key: i,
      icon: icon
    });
  })));
}

var _default = _react["default"].memo(CarouselThumbnails);

exports["default"] = _default;
//# sourceMappingURL=CarouselThumbnails.js.map