"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = MenuBack;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireWildcard(require("react"));

var _MenuContext = _interopRequireDefault(require("./MenuContext"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

function MenuBack(_ref) {
  var goBack = _ref.goBack,
      item = _ref.item,
      backButtonProps = _ref.backButtonProps;

  var _useContext = (0, _react.useContext)(_MenuContext["default"]),
      classes = _useContext.classes;

  return _react["default"].createElement(_core.ListItem, (0, _extends2["default"])({
    divider: true,
    button: true,
    onClick: goBack
  }, backButtonProps), _react["default"].createElement(_core.ListItemIcon, {
    classes: {
      root: classes.header
    }
  }, _react["default"].createElement(_icons.ChevronLeft, {
    className: classes.icon
  })), _react["default"].createElement(_core.ListItemText, {
    classes: {
      root: classes.headerText
    },
    primary: _react["default"].createElement("div", {
      className: classes.headerText
    }, item.text, " ")
  }));
}

MenuBack.propTypes = {
  /**
   * Goes back to the previous item in the menu hierarchy
   */
  goBack: _propTypes["default"].func,

  /**
   * The menu item being rendered
   */
  item: _propTypes["default"].shape({
    text: _propTypes["default"].string
  }).isRequired
};
//# sourceMappingURL=MenuBack.js.map