"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = ProductOption;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _TextProductOption = _interopRequireDefault(require("./TextProductOption"));

var _SwatchProductOption = _interopRequireDefault(require("./SwatchProductOption"));

var _withDefaultHandler = _interopRequireDefault(require("../utils/withDefaultHandler"));

var _get = _interopRequireDefault(require("lodash/get"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function ProductOption(props) {
  var value = props.value,
      selected = props.selected,
      options = props.options,
      selectedOption = props.selectedOption,
      onSelectedOptionChange = props.onSelectedOptionChange,
      onClick = props.onClick,
      variant = props.variant,
      showLabel = props.showLabel,
      onOptionsChange = props.onOptionsChange,
      wrapperProps = props.wrapperProps,
      optionProps = props.optionProps,
      index = props.index,
      selectedClassName = props.selectedClassName,
      others = (0, _objectWithoutProperties2["default"])(props, ["value", "selected", "options", "selectedOption", "onSelectedOptionChange", "onClick", "variant", "showLabel", "onOptionsChange", "wrapperProps", "optionProps", "index", "selectedClassName"]);

  if (selectedOption) {
    selected = (0, _get["default"])(value, 'id') == (0, _get["default"])(selectedOption, 'id');
  }

  var handleClick = (0, _withDefaultHandler["default"])(onClick, function (_e) {
    if (onSelectedOptionChange) {
      onSelectedOptionChange(value === selectedOption ? null : value);
    }
  });
  var Variant = variant === 'text' ? _TextProductOption["default"] : _SwatchProductOption["default"];

  var propArgs = _objectSpread({
    selected: selected
  }, props);

  return _react["default"].createElement("div", (0, _extends2["default"])({
    className: selected ? selectedClassName : ''
  }, wrapperProps(propArgs)), _react["default"].createElement(Variant, (0, _extends2["default"])({}, others, optionProps(propArgs), {
    label: showLabel ? value && value.text : undefined,
    selected: selected,
    onClick: handleClick
  })));
}

ProductOption.propTypes = {
  /**
   * The ui variant that controls how the option is displayed
   */
  variant: _propTypes["default"].oneOf(['text', 'swatch']).isRequired,

  /**
   * Set to `false` to hide the label text
   */
  showLabel: _propTypes["default"].bool,

  /**
   * The css class name applied to a selected option
   */
  selectedClassName: _propTypes["default"].string
};
ProductOption.defaultProps = {
  showLabel: true,
  wrapperProps: Function.prototype,
  optionProps: Function.prototype,
  selectedClassName: 'rsf-po-selected'
};
//# sourceMappingURL=ProductOption.js.map