"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = FilterFooter;
exports.styles = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styles = require("@material-ui/core/styles");

var _core = require("@material-ui/core");

var _Box = require("../Box");

var _SearchResultsContext = _interopRequireDefault(require("./SearchResultsContext"));

var styles = function styles(theme) {
  return {
    root: {
      backgroundColor: theme.palette.secondary.main,
      padding: '12px 20px',
      color: 'white',
      justifyContent: 'space-between',
      alignItems: 'center'
    },
    itemsFound: {
      color: theme.palette.secondary.contrastText
    }
  };
};

exports.styles = styles;
var useStyles = (0, _styles.makeStyles)(styles, {
  name: 'RSFFilterFooter'
});

function FilterFooter(props) {
  var classes = props.classes,
      submitOnChange = props.submitOnChange,
      onViewResultsClick = props.onViewResultsClick;
  classes = useStyles({
    classes: classes
  });

  var _useContext = (0, _react.useContext)(_SearchResultsContext["default"]),
      _useContext$pageData = _useContext.pageData,
      filters = _useContext$pageData.filters,
      filtersChanged = _useContext$pageData.filtersChanged;

  if (!filters || !filtersChanged || submitOnChange) return null;
  return _react["default"].createElement(_Box.Hbox, {
    className: classes.root,
    justify: "space-between"
  }, _react["default"].createElement(_core.Typography, {
    variant: "subtitle1",
    className: classes.itemsFound
  }, filters.length || 'No', " filter", filters.length === 1 ? '' : 's', " selected"), _react["default"].createElement(_core.Button, {
    variant: "contained",
    size: "large",
    color: "default",
    onClick: onViewResultsClick
  }, "View Results"));
}
//# sourceMappingURL=FilterFooter.js.map