"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = useSimpleNavigation;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _delegate = _interopRequireDefault(require("delegate"));

var _isomorphicUnfetch = _interopRequireDefault(require("isomorphic-unfetch"));

var _react = require("react");

var _router = _interopRequireDefault(require("next/router"));

var _qs = _interopRequireDefault(require("qs"));

/**
 * @private
 * Watches for clicks on HTML anchor tags and performs client side navigation if
 * the URL matches a next route.
 */
function useSimpleNavigation() {
  var routes = (0, _react.useRef)({});
  (0, _react.useEffect)(function () {
    function doEffect() {
      return _doEffect.apply(this, arguments);
    }

    function _doEffect() {
      _doEffect = (0, _asyncToGenerator2["default"])(
      /*#__PURE__*/
      _regenerator["default"].mark(function _callee() {
        return _regenerator["default"].wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                (0, _delegate["default"])('a', 'click', function (e) {
                  var delegateTarget = e.delegateTarget;
                  var as = delegateTarget.getAttribute('href');
                  var href = getRoute(as, routes.current);

                  if (href) {
                    e.preventDefault();
                    var url = toNextURL(href); // temporarily disabled as this was causing double fetching of props
                    // Router.push(url, as)
                  }
                });
                _context.next = 3;
                return fetchRouteManifest();

              case 3:
                routes.current = _context.sent;

              case 4:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      return _doEffect.apply(this, arguments);
    }

    doEffect();
  }, []);
}

function toNextURL(href) {
  var url = new URL(href, window.location.protocol + window.location.hostname);
  return {
    pathname: url.pathname,
    query: _qs["default"].parse(url.search)
  };
}

function fetchRouteManifest() {
  return (0, _isomorphicUnfetch["default"])('/api/routes').then(function (res) {
    return res.json();
  });
}

function getRoute(href, routes) {
  for (var pattern in routes) {
    if (new RegExp(pattern).test(href)) {
      return routes[pattern].as;
    }
  }

  return null;
}
//# sourceMappingURL=useSimpleNavigation.js.map