"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = SearchSuggestionGroup;
exports.styles = void 0;

var _react = _interopRequireWildcard(require("react"));

var _makeStyles = _interopRequireDefault(require("@material-ui/core/styles/makeStyles"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _clsx = _interopRequireDefault(require("clsx"));

var _SearchSuggestionItem = _interopRequireDefault(require("./SearchSuggestionItem"));

var styles = function styles(theme) {
  return {
    root: {
      listStyle: 'none',
      margin: theme.spacing(2),
      '& a strong': {
        fontWeight: 'bold',
        color: 'inherit'
      }
    },
    caption: {
      textTransform: 'uppercase',
      fontWeight: 'bold',
      paddingBottom: 5,
      borderBottom: "1px solid ".concat(theme.palette.divider),
      margin: theme.spacing(0, 0, 1, 0)
    },
    list: {
      '&[data-ui=list]': {
        padding: 0,
        margin: theme.spacing(0, 0, 4, 0)
      },
      '&[data-ui=thumbnails]': {
        display: 'flex',
        listStyle: 'none',
        margin: '0 -15px',
        padding: '0 10px',
        overflowX: 'auto',
        '& > li': {
          margin: '5px'
        }
      }
    }
  };
};

exports.styles = styles;
var useStyles = (0, _makeStyles["default"])(styles, {
  name: 'RSFSearchSuggestionGroup'
});

function SearchSuggestionGroup(_ref) {
  var classes = _ref.classes,
      ui = _ref.ui,
      caption = _ref.caption,
      links = _ref.links,
      children = _ref.children;
  classes = useStyles({
    classes: classes
  });
  return _react["default"].createElement("div", {
    className: classes.root
  }, _react["default"].createElement(_Typography["default"], {
    className: classes.caption
  }, caption), _react["default"].createElement("ul", {
    className: classes.list,
    "data-ui": ui
  }, children ? children : links.map(function (item, i) {
    return _react["default"].createElement(_SearchSuggestionItem["default"], {
      item: item,
      ui: ui,
      key: i
    });
  })));
}

SearchSuggestionGroup.propTypes = {
  /**
   * An array of links to suggested searches.
   */
  links: _propTypes["default"].array,

  /**
   * A title for the list
   */
  caption: _propTypes["default"].string.isRequired
};
SearchSuggestionGroup.defaultProps = {};
//# sourceMappingURL=SearchSuggestionGroup.js.map